Skip to content
master
Switch branches/tags
Code

Latest commit

 

Git stats

Files

Permalink
Failed to load latest commit information.
Type
Name
Latest commit message
Commit time
src
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 

www.openheartnerdery.co.uk

Pre-Requisites

Building the site requires the following software to be installed on the build computer:

  • Python 2.7 (for Jekyll post compilation)
  • Ruby 1.9.3 (for SASS compilation)
  • NodeJS Version 0.8.0+ (for Grunt)

Building

Clone this repository into a directory of your choice.

Install Grunt CLI globally:

npm install -g grunt-cli

Next, from the route of the directory where you cloned this repository, issue the following to install Node modules:

npm install

Finally, issue the command:

grunt build

and move the files from the /build directory to your public html folder of your webserver.

You can also see the juicy details if you build with a debug flag:

grunt build:debug

Troubleshooting

If you're on Windows and you receive the following message when trying to build:

Warning: Command failed:   Liquid Exception: incompatible character encodings: UTF-8 and CP850 in resume.html

...you'll may need to issue the following command prior to building

chcp 65001

By default, Windows 7 uses Multilingual (Latin I) as it's Code Page. This will trip up Jekyll as it tries to compile the resume page with contains fancy characters. The preceeding command will make the command prompt use a code page compatible with UTF-8 (which contains the fancy characters). The code page will only remain changed for the life time of the single command prompt session.

About

No description, website, or topics provided.

Resources

Releases

No releases published

Packages

No packages published